The officially official Devuan Forum!

You are not logged in.

#1 2020-05-11 13:53:46

PengouinPdt
Member
From: France
Registered: 2020-04-20
Posts: 18  
Website

[Ceres] Problem with D-Bus

Hi, 
Since two days, I've this problem with D-BUS:

Impossible de contacter le démon à cause d'une erreur d'accès interdit venant de D-bus. Vérifiez votre configuration de D-Bus.

Certainly, as EN translation:

Unable to contact the daemon due to a D-bus denial of access error. Check your D-Bus configuration.

Any suggestion?

----

My session X runs with Xfce!

$ uname -a
Linux *** 5.6.0-1-amd64 #1 SMP Debian 5.6.7-1 (2020-04-29) x86_64 GNU/Linux

----

Last edited by PengouinPdt (2020-05-11 22:07:16)

Offline

#2 2020-05-12 07:57:42

xinomilo
Member
Registered: 2017-07-02
Posts: 118  

Re: [Ceres] Problem with D-Bus

ceres with MATE here, no such problem.. where do you see these errors? which log? maybe there's something else there too?

dbus 1.12.16-2+devuan1 came in ceres on 6/5/2020, so if it was dbus problem it would appear earlier.. could be something else triggering this error.

Offline

#3 2020-05-12 11:13:04

PengouinPdt
Member
From: France
Registered: 2020-04-20
Posts: 18  
Website

Re: [Ceres] Problem with D-Bus

xinomilo wrote:

ceres with MATE here, no such problem.. where do you see these errors? which log? maybe there's something else there too?

A warning window displayed at logon!
gaVuZvDl.png

xinomilo wrote:

dbus 1.12.16-2+devuan1 came in ceres on 6/5/2020, so if it was dbus problem it would appear earlier.. could be something else triggering this error.

Indeed, that's what I've got:

dbus/unstable,now 1.12.16-2+devuan1 amd64  [installé]

OK,it seems to be related to wicd!

$ wicd-gtk 
Gtk-Message: 13:09:13.379: Failed to load module "atk-bridge"

(wicd-client.py:3297): Gtk-WARNING **: 13:09:13.409: Impossible de trouver le moteur de thème dans module_path : « adwaita »

(wicd-client.py:3297): Gtk-WARNING **: 13:09:13.410: Impossible de trouver le moteur de thème dans module_path : « adwaita »

(wicd-client.py:3297): Gtk-WARNING **: 13:09:13.417: Impossible de trouver le moteur de thème dans module_path : « murrine »

(wicd-client.py:3297): Gtk-WARNING **: 13:09:13.417: Impossible de trouver le moteur de thème dans module_path : « murrine »

(wicd-client.py:3297): Gtk-WARNING **: 13:09:13.418: Impossible de trouver le moteur de thème dans module_path : « murrine »

(wicd-client.py:3297): Gtk-WARNING **: 13:09:13.420: Impossible de trouver le moteur de thème dans module_path : « murrine »

(wicd-client.py:3297): Gtk-WARNING **: 13:09:13.420: Impossible de trouver le moteur de thème dans module_path : « murrine »

(wicd-client.py:3297): Gtk-WARNING **: 13:09:13.420: Impossible de trouver le moteur de thème dans module_path : « murrine »

(wicd-client.py:3297): Gtk-WARNING **: 13:09:13.421: Impossible de trouver le moteur de thème dans module_path : « murrine »

(wicd-client.py:3297): Gtk-WARNING **: 13:09:13.422: Impossible de trouver le moteur de thème dans module_path : « murrine »

(wicd-client.py:3297): Gtk-WARNING **: 13:09:13.422: Impossible de trouver le moteur de thème dans module_path : « murrine »

(wicd-client.py:3297): Gtk-WARNING **: 13:09:13.422: Impossible de trouver le moteur de thème dans module_path : « murrine »

(wicd-client.py:3297): Gtk-WARNING **: 13:09:13.423: Impossible de trouver le moteur de thème dans module_path : « murrine »
Importing pynotify failed, notifications disabled.
Has notifications support False
Loading...
Connecting to daemon...
Connected.
ERROR:dbus.proxies:Introspect error on :1.7:/org/wicd/daemon/wireless: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.AccessDenied: Rejected send message, 1 matched rules; type="method_call", sender=":1.261" (uid=1000 pid=3297 comm="/usr/bin/python -O /usr/share/wicd/gtk/wicd-client") interface="org.freedesktop.DBus.Introspectable" member="Introspect" error name="(unset)" requested_reply="0" destination=":1.7" (uid=0 pid=1829 comm="/usr/bin/python -O /usr/share/wicd/daemon/wicd-dae")
ERROR:dbus.proxies:Introspect error on :1.7:/org/wicd/daemon: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.AccessDenied: Rejected send message, 1 matched rules; type="method_call", sender=":1.261" (uid=1000 pid=3297 comm="/usr/bin/python -O /usr/share/wicd/gtk/wicd-client") interface="org.freedesktop.DBus.Introspectable" member="Introspect" error name="(unset)" requested_reply="0" destination=":1.7" (uid=0 pid=1829 comm="/usr/bin/python -O /usr/share/wicd/daemon/wicd-dae")
ERROR:dbus.proxies:Introspect error on :1.7:/org/wicd/daemon/wireless: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.AccessDenied: Rejected send message, 1 matched rules; type="method_call", sender=":1.261" (uid=1000 pid=3297 comm="/usr/bin/python -O /usr/share/wicd/gtk/wicd-client") interface="org.freedesktop.DBus.Introspectable" member="Introspect" error name="(unset)" requested_reply="0" destination=":1.7" (uid=0 pid=1829 comm="/usr/bin/python -O /usr/share/wicd/daemon/wicd-dae")
ERROR:dbus.proxies:Introspect error on :1.7:/org/wicd/daemon/wired: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.AccessDenied: Rejected send message, 1 matched rules; type="method_call", sender=":1.261" (uid=1000 pid=3297 comm="/usr/bin/python -O /usr/share/wicd/gtk/wicd-client") interface="org.freedesktop.DBus.Introspectable" member="Introspect" error name="(unset)" requested_reply="0" destination=":1.7" (uid=0 pid=1829 comm="/usr/bin/python -O /usr/share/wicd/daemon/wicd-dae")
ERROR:dbus.proxies:Introspect error on :1.7:/org/wicd/daemon: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.AccessDenied: Rejected send message, 1 matched rules; type="method_call", sender=":1.261" (uid=1000 pid=3297 comm="/usr/bin/python -O /usr/share/wicd/gtk/wicd-client") interface="org.freedesktop.DBus.Introspectable" member="Introspect" error name="(unset)" requested_reply="0" destination=":1.7" (uid=0 pid=1829 comm="/usr/bin/python -O /usr/share/wicd/daemon/wicd-dae")
ERROR:dbus.proxies:Introspect error on :1.7:/org/wicd/daemon/wired: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.AccessDenied: Rejected send message, 1 matched rules; type="method_call", sender=":1.261" (uid=1000 pid=3297 comm="/usr/bin/python -O /usr/share/wicd/gtk/wicd-client") interface="org.freedesktop.DBus.Introspectable" member="Introspect" error name="(unset)" requested_reply="0" destination=":1.7" (uid=0 pid=1829 comm="/usr/bin/python -O /usr/share/wicd/daemon/wicd-dae")

The wicd window appears with the error message window!

  Zll3flLl.png

When I click on the button [valider], the wicd windows close with this error on console:

Traceback (most recent call last):
  File "/usr/share/wicd/gtk/wicd-client.py", line 1204, in <module>
    main(sys.argv)
  File "/usr/share/wicd/gtk/wicd-client.py", line 115, in wrapper
    raise DBusException(e)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.AccessDenied: Rejected send message, 1 matched rules; type="method_call", sender=":1.261" (uid=1000 pid=3297 comm="/usr/bin/python -O /usr/share/wicd/gtk/wicd-client") interface="org.wicd.daemon.wireless" member="GetRfKillEnabled" error name="(unset)" requested_reply="0" destination=":1.7" (uid=0 pid=1829 comm="/usr/bin/python -O /usr/share/wicd/daemon/wicd-dae")

Last edited by PengouinPdt (2020-05-12 11:15:25)

Offline

#4 2020-05-12 15:21:48

bgstack15
Member
Registered: 2018-02-04
Posts: 158  

Re: [Ceres] Problem with D-Bus

This sounds like it's related to the group permissions. Is your user a member of group "netdev"?

$ getent group netdev
netdev:x:960600009:bgstack15-local,bgstack15,lastack13,amarkus,...

According to file /etc/dbus-1/system.d/wicd.conf

<!-- /etc/dbus-1/system.d/wicd.conf -->
<!DOCTYPE busconfig PUBLIC "-//freedesktop//DTD D-BUS Bus Configuration 1.0//EN"
"http://www.freedesktop.org/standards/dbus/1.0/busconfig.dtd">
<busconfig>

        <policy user="root">
                <allow own="org.wicd.daemon"/>
                <allow send_destination="org.wicd.daemon"/>
                <allow send_interface="org.wicd.daemon"/>
      <allow send_destination="org.wicd.daemon.wireless"/>
      <allow send_interface="org.wicd.daemon.wireless"/>
      <allow send_destination="org.wicd.daemon.wired"/>
      <allow send_interface="org.wicd.daemon.wired"/>
        </policy>

        <policy context="default">
                <deny own="org.wicd.daemon"/>
        </policy>

   <!-- This Unix group will have permission to use Wicd's gui -->
        <policy group="netdev">
                <allow send_destination="org.wicd.daemon"/>
                <allow send_interface="org.wicd.daemon"/>
                <allow send_interface="org.freedesktop.DBus.Introspectable"/>
                <!-- The Introspectable allow shouldn't be needed here, but
                     it seems that a few distributions aren't yet allowing
                     it in their hal configs, and we need it here, so... -->
        </policy>

       <!-- Comment the block below if you do not want all users logged in
            locally to have permission to use wicd-client.  This ignores the
            group based permission model defined above for the "netdev"
            group. Note that this only applies if you are using ConsoleKit -
            if you do not have ConsoleKit installed and in use, then this
            block makes no difference either way.  -->

        <policy at_console="true">
                <allow send_destination="org.wicd.daemon"/>
                <allow send_interface="org.wicd.daemon"/>
      <allow send_destination="org.wicd.daemon.wireless"/>
      <allow send_interface="org.wicd.daemon.wireless"/>
      <allow send_destination="org.wicd.daemon.wired"/>
      <allow send_interface="org.wicd.daemon.wired"/>
      <allow send_interface="org.freedesktop.DBus.Introspectable"/>
        </policy>

</busconfig>

Which is a little obtuse to me, but the item you're looking for, "org.wicd.daemon.wireless," is allowed to root user and group netdev.

If you need to add your user to netdev, you will need to log out, or possibly restart your display manager (which logs you out), or possibly even reboot.

sudo usermod -aG netdev PengouinPdt

And if your display manager is lightdm:

sudo service lightdm restart

This space intentionally left blank.

Offline

#5 2020-05-12 20:08:18

PengouinPdt
Member
From: France
Registered: 2020-04-20
Posts: 18  
Website

Re: [Ceres] Problem with D-Bus

Why add user to netdev, when it was working properly before, without this possible modification?!
(terrible)

I will try this.

----

Amazing, this resolves this problem!

Thanks/

Last edited by PengouinPdt (2020-05-12 20:17:55)

Offline

#6 2020-05-12 20:19:14

fsmithred
Administrator
Registered: 2016-11-25
Posts: 1,593  

Re: [Ceres] Problem with D-Bus

Check /var/log/apt/history.log to see if you recently replaced consolekit with elogind. That would explain how it worked before without being a member of the netdev group.

Offline

#7 2020-05-12 22:07:56

PengouinPdt
Member
From: France
Registered: 2020-04-20
Posts: 18  
Website

Re: [Ceres] Problem with D-Bus

Start-Date: 2020-05-04  06:08:57
Commandline: apt full-upgrade
Install: python3-scour:amd64 (0.37-4, automatic), python3-html5lib:amd64 (1.0.1-3, automatic), python3-webencodings:amd64 (0.5.1-2, automatic), libgdl-3-5:amd64 (3.34.0-1, automatic), linux-image-5.6.0-1-amd64:amd64 (5.6.7-1, automatic), python3-numpy:amd64 (1:1.18.3-1, automatic), libgdl-3-common:amd64 (3.34.0-1, automatic), python3-soupsieve:amd64 (2.0-1, automatic), python3-lxml:amd64 (4.5.0-1.1, automatic), python3-bs4:amd64 (4.9.0-2, automatic)
Upgrade: vlc-bin:amd64 (3.0.9.2-1, 3.0.10-1), libqmi-proxy:amd64 (1.24.8-1, 1.24.8-1.1), libreoffice-math:amd64 (1:6.4.3-1, 1:6.4.4~rc1-1), vlc-plugin-video-output:amd64 (3.0.9.2-1, 3.0.10-1), libreoffice-report-builder-bin:amd64 (1:6.4.3-1, 1:6.4.4~rc1-1), uno-libs-private:amd64 (1:6.4.3-1, 1:6.4.4~rc1-1), libvte-2.91-0:amd64 (0.60.1-1, 0.60.2-1), libcups2:amd64 (2.3.1-12, 2.3.3-1), libreoffice-sdbc-postgresql:amd64 (1:6.4.3-1, 1:6.4.4~rc1-1), libreoffice-sdbc-mysql:amd64 (1:6.4.3-1, 1:6.4.4~rc1-1), libridl-java:amd64 (1:6.4.3-1, 1:6.4.4~rc1-1), linux-libc-dev:amd64 (5.5.17-1, 5.6.7-1), libuno-salhelpergcc3-3:amd64 (1:6.4.3-1, 1:6.4.4~rc1-1), libldap-2.4-2:amd64 (2.4.49+dfsg-4, 2.4.50+dfsg-1), vlc-plugin-samba:amd64 (3.0.9.2-1, 3.0.10-1), libproxy1v5:amd64 (0.4.15-9, 0.4.15-13), libunoil-java:amd64 (1:6.4.3-1, 1:6.4.4~rc1-1), foomatic-db-compressed-ppds:amd64 (20200401-1, 20200427-1), libreoffice-java-common:amd64 (1:6.4.3-1, 1:6.4.4~rc1-1), libpython3.8-minimal:amd64 (3.8.2-1+b1, 3.8.3~rc1-1), vlc-plugin-qt:amd64 (3.0.9.2-1, 3.0.10-1), python3-distro:amd64 (1.4.0-1, 1.5.0-1), libtumbler-1-0:amd64 (0.2.8-1, 0.2.8-2), libxfce4panel-2.0-4:amd64 (4.14.3-1, 4.14.4-1), acl:amd64 (2.2.53-7, 2.2.53-8), gcc-10-base:amd64 (10-20200418-1, 10-20200502-1), libjuh-java:amd64 (1:6.4.3-1, 1:6.4.4~rc1-1), apt:amd64 (2.0.1+devuan1, 2.0.2+devuan1), libreoffice-base:amd64 (1:6.4.3-1, 1:6.4.4~rc1-1), libacl1:amd64 (2.2.53-7, 2.2.53-8), libreoffice-core:amd64 (1:6.4.3-1, 1:6.4.4~rc1-1), gnome-desktop3-data:amd64 (3.36.1-3, 3.36.2-1), libdom4j-java:amd64 (2.1.1-2, 2.1.1-3), python3-urllib3:amd64 (1.25.8-2, 1.25.9-1), vlc-plugin-skins2:amd64 (3.0.9.2-1, 3.0.10-1), libitm1:amd64 (10-20200418-1, 10-20200502-1), vlc-plugin-visualization:amd64 (3.0.9.2-1, 3.0.10-1), vlc-l10n:amd64 (3.0.9.2-1, 3.0.10-1), libpam-elogind:amd64 (243.7-1, 243.7-2), libqmi-glib5:amd64 (1.24.8-1, 1.24.8-1.1), google-chrome-stable:amd64 (81.0.4044.122-1, 81.0.4044.129-1), nodejs:amd64 (12.16.2-1nodesource1, 12.16.3-1nodesource1), libcgi-pm-perl:amd64 (4.46-1, 4.47-1), libpython3.8:amd64 (3.8.2-1+b1, 3.8.3~rc1-1), python3.8:amd64 (3.8.2-1+b1, 3.8.3~rc1-1), vlc-plugin-notify:amd64 (3.0.9.2-1, 3.0.10-1), libvlc5:amd64 (3.0.9.2-1, 3.0.10-1), python3-idna:amd64 (2.8-2, 2.9-1), cups-server-common:amd64 (2.3.1-12, 2.3.3-1), gsettings-desktop-schemas:amd64 (3.36.0-1, 3.36.1-1), xfce4-panel:amd64 (4.14.3-1, 4.14.4-1), libreoffice-l10n-fr:amd64 (1:6.4.3-1, 1:6.4.4~rc1-1), libquadmath0:amd64 (10-20200418-1, 10-20200502-1), iio-sensor-proxy:amd64 (2.8-1, 3.0-1), cups-common:amd64 (2.3.1-12, 2.3.3-1), libreoffice-sdbc-firebird:amd64 (1:6.4.3-1, 1:6.4.4~rc1-1), python3-uno:amd64 (1:6.4.3-1, 1:6.4.4~rc1-1), xfwm4:amd64 (4.14.0-2, 4.14.2-1), libapt-pkg6.0:amd64 (2.0.1+devuan1, 2.0.2+devuan1), libuno-cppuhelpergcc3-3:amd64 (1:6.4.3-1, 1:6.4.4~rc1-1), libvlccore9:amd64 (3.0.9.2-1, 3.0.10-1), libvlc-bin:amd64 (3.0.9.2-1, 3.0.10-1), hugo:amd64 (0.69.1-1, 0.69.2-1), libgcc1:amd64 (1:10-20200418-1, 1:10-20200502-1), libreoffice-base-core:amd64 (1:6.4.3-1, 1:6.4.4~rc1-1), elogind:amd64 (243.7-1, 243.7-2), libx86-1:amd64 (1.1+ds1-11, 1.1+ds1-12), libuno-purpenvhelpergcc3-3:amd64 (1:6.4.3-1, 1:6.4.4~rc1-1), libtsan0:amd64 (10-20200418-1, 10-20200502-1), font-viewer:amd64 (0.7.7-0.3, 0.7.7-1), libgnome-desktop-3-19:amd64 (3.36.1-3, 3.36.2-1), libubsan1:amd64 (10-20200418-1, 10-20200502-1), libreoffice-help-fr:amd64 (1:6.4.3-1, 1:6.4.4~rc1-1), cups-ppdc:amd64 (2.3.1-12, 2.3.3-1), gir1.2-vte-2.91:amd64 (0.60.1-1, 0.60.2-1), libjurt-java:amd64 (1:6.4.3-1, 1:6.4.4~rc1-1), tumbler:amd64 (0.2.8-1, 0.2.8-2), libreoffice-help-common:amd64 (1:6.4.3-1, 1:6.4.4~rc1-1), libgfortran5:amd64 (10-20200418-1, 10-20200502-1), python3.8-minimal:amd64 (3.8.2-1+b1, 3.8.3~rc1-1), libproxy-tools:amd64 (0.4.15-9, 0.4.15-13), linux-image-amd64:amd64 (5.5.17-1, 5.6.7-1), libldap-common:amd64 (2.4.49+dfsg-4, 2.4.50+dfsg-1), libreoffice-style-colibre:amd64 (1:6.4.3-1, 1:6.4.4~rc1-1), lintian:amd64 (2.68.0, 2.70.0), ure:amd64 (1:6.4.3-1, 1:6.4.4~rc1-1), libreoffice-sdbc-hsqldb:amd64 (1:6.4.3-1, 1:6.4.4~rc1-1), libreoffice-writer:amd64 (1:6.4.3-1, 1:6.4.4~rc1-1), libmm-glib0:amd64 (1.12.8-1, 1.12.8-1.1), inkscape:amd64 (0.92.5-1, 1.0~rc1-4), vlc:amd64 (3.0.9.2-1, 3.0.10-1), vlc-data:amd64 (3.0.9.2-1, 3.0.10-1), libreoffice-common:amd64 (1:6.4.3-1, 1:6.4.4~rc1-1), font-manager-common:amd64 (0.7.7-0.3, 0.7.7-1), liblsan0:amd64 (10-20200418-1, 10-20200502-1), libgomp1:amd64 (10-20200418-1, 10-20200502-1), libwebkit2gtk-4.0-37:amd64 (2.28.2-1, 2.28.2-2), libmbim-proxy:amd64 (1.22.0-2, 1.22.0-2.2), openprinting-ppds:amd64 (20200401-1, 20200427-1), tumbler-common:amd64 (0.2.8-1, 0.2.8-2), eject:amd64 (2.1.5+deb1+cvs20081104-14+b1, 2.1.5+deb1+cvs20081104-15), apt-utils:amd64 (2.0.1+devuan1, 2.0.2+devuan1), opensmtpd:amd64 (6.6.4p1-1, 6.6.4p1-2), libgcc-s1:amd64 (10-20200418-1, 10-20200502-1), vlc-plugin-video-splitter:amd64 (3.0.9.2-1, 3.0.10-1), libuno-cppu3:amd64 (1:6.4.3-1, 1:6.4.4~rc1-1), libvte-2.91-common:amd64 (0.60.1-1, 0.60.2-1), fonts-opensymbol:amd64 (2:102.11+LibO6.4.3-1, 2:102.11+LibO6.4.4~rc1-1), libpython3.8-stdlib:amd64 (3.8.2-1+b1, 3.8.3~rc1-1), modemmanager:amd64 (1.12.8-1, 1.12.8-1.1), libreoffice-report-builder:amd64 (1:6.4.3-1, 1:6.4.4~rc1-1), cups-bsd:amd64 (2.3.1-12, 2.3.3-1), libreoffice-style-tango:amd64 (1:6.4.3-1, 1:6.4.4~rc1-1), apt-transport-https:amd64 (2.0.1+devuan1, 2.0.2+devuan1), libuno-sal3:amd64 (1:6.4.3-1, 1:6.4.4~rc1-1), cups-core-drivers:amd64 (2.3.1-12, 2.3.3-1), libatomic1:amd64 (10-20200418-1, 10-20200502-1), cups-daemon:amd64 (2.3.1-12, 2.3.3-1), libv4l-0:amd64 (1.18.0-2, 1.18.1-1), libcc1-0:amd64 (10-20200418-1, 10-20200502-1), libv4lconvert0:amd64 (1.18.0-2, 1.18.1-1), libelogind0:amd64 (243.7-1, 243.7-2), vlc-plugin-base:amd64 (3.0.9.2-1, 3.0.10-1), libunoloader-java:amd64 (1:6.4.3-1, 1:6.4.4~rc1-1), libcupsimage2:amd64 (2.3.1-12, 2.3.3-1), libreoffice-calc:amd64 (1:6.4.3-1, 1:6.4.4~rc1-1), libstdc++6:amd64 (10-20200418-1, 10-20200502-1), cups:amd64 (2.3.1-12, 2.3.3-1), cups-client:amd64 (2.3.1-12, 2.3.3-1), libjavascriptcoregtk-4.0-18:amd64 (2.28.2-1, 2.28.2-2), cups-ipp-utils:amd64 (2.3.1-12, 2.3.3-1), libmbim-glib4:amd64 (1.22.0-2, 1.22.0-2.2), python3-certifi:amd64 (2019.11.28-2, 2020.4.5.1-1), libjson-maybexs-perl:amd64 (1.004000-1, 1.004001-1), libreoffice-base-drivers:amd64 (1:6.4.3-1, 1:6.4.4~rc1-1), initramfs-tools-core:amd64 (0.136, 0.137), initramfs-tools:amd64 (0.136, 0.137), xterm:amd64 (353-1, 356-1)
Remove: python-lxml:amd64 (4.5.0-1+b1)
End-Date: 2020-05-04  06:16:42

apparently, last week - but the problem has only been there since yesterday! ????

why prefer elogind to consolekit2?
elogind seems to be related with systemd!

If I choose to install Devuan; it's because Debian without systemd! Quid?

Last edited by PengouinPdt (2020-05-12 22:16:30)

Offline

#8 2020-05-12 23:13:33

fsmithred
Administrator
Registered: 2016-11-25
Posts: 1,593  

Re: [Ceres] Problem with D-Bus

aptitude why elogind    (or why libpam-elogind)

Maybe something you installed pulled it in.

Was yesterday the first time you rebooted after the upgrade? That (or 'init 1') would be necessary for the change to take effect.

elogind is a replacement for systemd-logind. It's maintained by the init-diversity group, which is made up of debian and devuan devs working together to maintain interoperability. Without it, we would either need to recompile hundreds of packages or else resign ourselves to using simple window managers instead of full-featured desktop environments.

Offline

#9 2020-05-13 11:01:59

PengouinPdt
Member
From: France
Registered: 2020-04-20
Posts: 18  
Website

Re: [Ceres] Problem with D-Bus

$ aptitude why elogind
i   slim           Dépend  default-logind | logind | consolekit
i A libpam-elogind Fournit logind                              
i A libpam-elogind Dépend  elogind (= 243.7-2)    

Thank you for that. I didn't know about this possibility! big_smile

Maybe something you installed pulled it in.

No. As you can see on the log, it's only a full upgrade operation

And, thanks for the precision about elogind.

Offline

Board footer